အကောင့်ငွေပေးချေမှုများ
GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| အချက်အလက်များ | အသေးစိတ်များ | ဖော်ပြချက် |
|---|---|---|
| processor | ရွေးချယ်နိုင်သည် စကားလုံး | ခွင့်ပြုထားသောတန်ဖိုးများ: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | ရွေးချယ်နိုင်သည် စကားလုံး | ခွင့်ပြုထားသောတန်ဖိုးများ: paid, pending, cancelled, refunded |
| type | ရွေးချယ်နိုင်သည် စကားလုံး | ခွင့်ပြုထားသောတန်ဖိုးများ: one_time, recurring |
| frequency | ရွေးချယ်နိုင်သည် စကားလုံး | ခွင့်ပြုထားသောတန်ဖိုးများ: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | ရွေးချယ်နိုင်သည် စကားလုံး | ခွင့်ပြုထားသောတန်ဖိုးများ: datetime |
| datetime_start | ရွေးချယ်နိုင်သည် စကားလုံး | ဤရက်စွဲနှင့် အချိန်မှစ၍ ရလဒ်များကို filter လုပ်ပါ။ Format Y-m-d H:i:s။ |
| datetime_end | ရွေးချယ်နိုင်သည် စကားလုံး | ဤရက်စွဲနှင့် အချိန်အထိ ရလဒ်များကို filter လုပ်ပါ။ Format Y-m-d H:i:s။ |
| order_by | ရွေးချယ်နိုင်သည် စကားလုံး | ရလဒ်များကို ဘယ်နယ်ပယ်အရ အစီအစဉ်ချမလဲ။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ: id, datetime, total_amount။ |
| order_type | ရွေးချယ်နိုင်သည် စကားလုံး | ရလဒ်များ၏ အစီအစဉ်။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ ASC သည် အမြင့်ဆုံးမှ အနိမ့်ဆုံး အစီအစဉ်အတွက် ဖြစ်ပြီး DESC သည် အနိမ့်ဆုံးမှ အမြင့်ဆုံး အစီအစဉ်အတွက် ဖြစ်သည်။ |
| page | ရွေးချယ်နိုင်သည် အင်တာဂျာ | သင်လိုအပ်သောရလဒ်များကိုရယူလိုသောစာမျက်နှာနံပါတ်။ အခြေခံအားဖြင့် 1 ဖြစ်သည်။ |
| results_per_page | ရွေးချယ်နိုင်သည် အင်တာဂျာ | သင်သည် စာမျက်နှာတစ်ခုလျှင် ရလဒ်များ များစွာကို မည်မျှလိုချင်ပါသလဲ။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ: 10, 25, 50, 100, 250, 500, 1000။ အခြေခံအားဖြင့် 25 ဖြစ်သည်။ |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-07-18 15:26:23",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/payments?page=1",
"last": "https://tistos.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/payments?page=1"
}
}
GET https://tistos.com/api/payments/{payment_id}
curl --request GET \
--url 'https://tistos.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-07-18 15:26:23",
}
}